#
# Conditional build:
%bcond_without	apidocs		# API documentation
%bcond_without	static_libs	# static library

Summary:	jsonrpc-glib - a library to communicate with JSON-RPC based peers
Summary(pl.UTF-8):	jsonrpc-glib - biblioteka do komunikacji poprzez JSON-RPC
Name:		jsonrpc-glib
Version:	3.44.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://download.gnome.org/sources/jsonrpc-glib/3.44/%{name}-%{version}.tar.xz
# Source0-md5:	3e36288c3d377dc453ee8984fe217c01
URL:		https://gitlab.gnome.org/GNOME/jsonrpc-glib
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.18
BuildRequires:	glib2-devel >= 1:2.44.0
BuildRequires:	gobject-introspection-devel >= 0.9.5
%{?with_apidocs:BuildRequires:	gi-docgen}
BuildRequires:	json-glib-devel
BuildRequires:	meson >= 0.49.2
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	vala
Requires:	glib2 >= 1:2.44.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jsonrpc-GLib is a library to communicate with JSON-RPC based peers in
either a synchronous or asynchronous fashion.

%description -l pl.UTF-8
Jsonrpc-GLib to biblioteka do komunikacji z partnerami JSON-RPC w
trybie synchronicznym lub asynchronicznym.

%package devel
Summary:	Header files for the jsonrpc-glib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki jsonrpc-glib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.44.0
Requires:	json-glib-devel

%description devel
Header files for the jsonrpc-glib library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki jsonrpc-glib.

%package static
Summary:	Static jsonrpc-glib library
Summary(pl.UTF-8):	Statyczna biblioteka jsonrpc-glib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static jsonrpc-glib library.

%description static -l pl.UTF-8
Statyczna biblioteka jsonrpc-glib.

%package apidocs
Summary:	jsonrpc-glib API documentation
Summary(pl.UTF-8):	Dokumentacja API jsonrpc-glib
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
jsonrpc-glib API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API jsonrpc-glib.

%package -n vala-jsonrpc-glib
Summary:	jsonrpc-glib API for Vala language
Summary(pl.UTF-8):	API jsonrpc-glib dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.18.0
BuildArch:	noarch

%description -n vala-jsonrpc-glib
jsonrpc-glib API for Vala language.

%description -n vala-jsonrpc-glib -l pl.UTF-8
API jsonrpc-glib dla języka Vala.

%prep
%setup -q

%build
%meson build \
	%{!?with_static_libs:--default-library=shared} \
	%{?with_apidocs:-Denable_gtk_doc=true}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%if %{with apidocs}
# FIXME: where to package gi-docgen generated docs?
install -d $RPM_BUILD_ROOT%{_gtkdocdir}
%{__mv} $RPM_BUILD_ROOT%{_docdir}/jsonrpc-glib $RPM_BUILD_ROOT%{_gtkdocdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_libdir}/libjsonrpc-glib-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjsonrpc-glib-1.0.so.1
%{_libdir}/girepository-1.0/Jsonrpc-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjsonrpc-glib-1.0.so
%{_datadir}/gir-1.0/Jsonrpc-1.0.gir
%{_includedir}/jsonrpc-glib-1.0
%{_pkgconfigdir}/jsonrpc-glib-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libjsonrpc-glib-1.0.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/jsonrpc-glib
%endif

%files -n vala-jsonrpc-glib
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/jsonrpc-glib-1.0.deps
%{_datadir}/vala/vapi/jsonrpc-glib-1.0.vapi
%changelog
* Wed Mar 22 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jsonrpc-glib.git;a=log;h=master

* Wed Mar 22 2023 Jakub Bogusz <qboosh@pld-linux.org> 844f33b
- updated to 3.44.0

* Tue Mar 29 2022 Jakub Bogusz <qboosh@pld-linux.org> 67b3053
- updated to 3.42.0

* Thu Sep 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 3554c9d
- updated to 3.40.0

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> a6e0f66
- unconditional noarch subpackages

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 48d5a50
- updated to 3.38.0

* Tue Oct 08 2019 Jakub Bogusz <qboosh@pld-linux.org> a39e4c0
- updated to 3.34.0

* Wed Mar 13 2019 Jan Rękorajski <baggins@pld-linux.org> b7f174d
- release 2 (by relup.sh)

* Sat Feb 02 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 0b2bd9b
- Updated to 3.30.1

* Sun Apr 08 2018 Jan Rękorajski <baggins@pld-linux.org> 5074998
- up to 3.28.0

* Sun Nov 26 2017 Jan Rękorajski <baggins@pld-linux.org> 2b62002
- descriptions

* Sun Nov 26 2017 Jan Rękorajski <baggins@pld-linux.org> 426c5f5
- new, based on json-glib

